import sys

from cliff.app import App
from cliff.commandmanager import CommandManager


class DCC(App):
    def __init__(self):
        super().__init__(
            description="Doom Command Center",
            version="0.0.1",
            command_manager=CommandManager("dcc"),
            deferred_help=True,
        )

    def initialize_app(self, argv):
        pass

    def prepare_to_run_command(self, cmd):
        pass

    def clean_up(self, cmd, result, err):
        pass


def main(argv=sys.argv[1:]):
    dcc = DCC()
    return dcc.run(argv)


if __name__ == '__main__':
    sys.exit(main())
